var KSPreprocessor = function() {};
 
KSPreprocessor.prototype = {
	run: function(arguments) {
		if (window.getSelection() == "") {
			arguments.completionFunction({
				"text": window.document.body.innerText
			});
		} else {
			arguments.completionFunction({
				"text": window.getSelection().toString()
			});
		}
	}
};
 
var ExtensionPreprocessingJS = new KSPreprocessor;
